Bug 1315105 - [abrt] yumex-dnf: g_menu_model_get_n_items(): python3.4 killed by SIGSEGV
[abrt] yumex-dnf: g_menu_model_get_n_items(): python3.4 killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yumex-dnf (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d809e137b80e519c861d3d4ef0a...
:
: 1328784 1335653 1343206 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-06 13:10 EST by Siggi
Modified: 2016-12-20 14:16 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:16:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (95.05 KB, text/plain)
2016-03-06 13:10 EST, Siggi
no flags Details
File: cgroup (200 bytes, text/plain)
2016-03-06 13:10 EST, Siggi
no flags Details
File: core_backtrace (15.83 KB, text/plain)
2016-03-06 13:10 EST, Siggi
no flags Details
File: dso_list (13.71 KB, text/plain)
2016-03-06 13:10 EST, Siggi
no flags Details
File: environ (1.60 KB, text/plain)
2016-03-06 13:10 EST, Siggi
no flags Details
File: exploitable (82 bytes, text/plain)
2016-03-06 13:10 EST, Siggi
no flags Details
File: limits (1.29 KB, text/plain)
2016-03-06 13:10 EST, Siggi
no flags Details
File: maps (61.77 KB, text/plain)
2016-03-06 13:10 EST, Siggi
no flags Details
File: mountinfo (3.71 KB, text/plain)
2016-03-06 13:10 EST, Siggi
no flags Details
File: namespaces (85 bytes, text/plain)
2016-03-06 13:10 EST, Siggi
no flags Details
File: open_fds (762 bytes, text/plain)
2016-03-06 13:10 EST, Siggi
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2016-03-06 13:10 EST, Siggi
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-03-06 13:10 EST, Siggi
no flags Details

  None (edit)
Description Siggi 2016-03-06 13:10:25 EST
Description of problem:
Testing my new Red Hat Bugzilla login

Version-Release number of selected component:
yumex-dnf-4.1.5-1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/bin/yumex-dnf
crash_function: g_menu_model_get_n_items
executable:     /usr/bin/python3.4
global_pid:     2797
kernel:         4.3.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_menu_model_get_n_items at gmenumodel.c:494
 #1 gtk_application_window_update_shell_shows_app_menu at gtkapplicationwindow.c:310
 #2 gtk_application_window_real_realize at gtkapplicationwindow.c:677
 #3 _g_closure_invoke_va at gclosure.c:864
 #6 gtk_widget_realize at gtkwidget.c:5386
 #7 gtk_window_show at gtkwindow.c:5937
 #12 gtk_widget_show at gtkwidget.c:4726
 #13 ffi_call_unix64 at ../src/x86/unix64.S:76
 #14 ffi_call at ../src/x86/ffi64.c:525
 #15 pygi_invoke_c_callable at pygi-invoke.c:645
Comment 1 Siggi 2016-03-06 13:10:30 EST
Created attachment 1133547 [details]
File: backtrace
Comment 2 Siggi 2016-03-06 13:10:31 EST
Created attachment 1133548 [details]
File: cgroup
Comment 3 Siggi 2016-03-06 13:10:33 EST
Created attachment 1133549 [details]
File: core_backtrace
Comment 4 Siggi 2016-03-06 13:10:34 EST
Created attachment 1133550 [details]
File: dso_list
Comment 5 Siggi 2016-03-06 13:10:35 EST
Created attachment 1133551 [details]
File: environ
Comment 6 Siggi 2016-03-06 13:10:36 EST
Created attachment 1133552 [details]
File: exploitable
Comment 7 Siggi 2016-03-06 13:10:38 EST
Created attachment 1133553 [details]
File: limits
Comment 8 Siggi 2016-03-06 13:10:41 EST
Created attachment 1133554 [details]
File: maps
Comment 9 Siggi 2016-03-06 13:10:42 EST
Created attachment 1133555 [details]
File: mountinfo
Comment 10 Siggi 2016-03-06 13:10:43 EST
Created attachment 1133556 [details]
File: namespaces
Comment 11 Siggi 2016-03-06 13:10:45 EST
Created attachment 1133557 [details]
File: open_fds
Comment 12 Siggi 2016-03-06 13:10:46 EST
Created attachment 1133558 [details]
File: proc_pid_status
Comment 13 Siggi 2016-03-06 13:10:47 EST
Created attachment 1133559 [details]
File: var_log_messages
Comment 14 Siggi 2016-03-06 14:25:30 EST
SELinux is preventing systemd-logind from getattr access on the file /dev/shm/lldpad.state.

*****  Plugin restorecon (99.5 confidence) suggests   ************************

If you want to fix the label. 
/dev/shm/lldpad.state default label should be lldpad_tmpfs_t.
Then you can run restorecon.
Do
# /sbin/restorecon -v /dev/shm/lldpad.state

*****  Plugin catchall (1.49 confidence) suggests   **************************

If you believe that systemd-logind should be allowed getattr access on the lldpad.state file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep systemd-logind /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:systemd_logind_t:s0
Target Context                system_u:object_r:tmpfs_t:s0
Target Objects                /dev/shm/lldpad.state [ file ]
Source                        systemd-logind
Source Path                   systemd-logind
Port                          <Unknown>
Host                          hgst500.touro
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-158.7.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     hgst500.touro
Platform                      Linux hgst500.touro 4.4.2-301.fc23.x86_64 #1 SMP
                              Tue Feb 23 19:00:38 UTC 2016 x86_64 x86_64
Alert Count                   2
First Seen                    2016-02-26 18:51:28 CET
Last Seen                     2016-03-03 17:07:50 CET
Local ID                      ef95c681-dac9-415c-8f22-88fdf459be19

Raw Audit Messages
type=AVC msg=audit(1457021270.419:404): avc:  denied  { getattr } for  pid=885 comm="systemd-logind" path="/dev/shm/lldpad.state" dev="tmpfs" ino=8520 scontext=system_u:system_r:systemd_logind_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=file permissive=0


Hash: systemd-logind,systemd_logind_t,tmpfs_t,file,getattr
Comment 15 Andrey V. Henneberg 2016-04-20 05:41:09 EDT
*** Bug 1328784 has been marked as a duplicate of this bug. ***
Comment 16 myfedora 2016-05-12 15:11:08 EDT
*** Bug 1335653 has been marked as a duplicate of this bug. ***
Comment 17 Christian Stadelmann 2016-05-23 07:59:35 EDT
I think something went wrong here in this bug report.

As far as I can tell, the SELinux issue is completely unrelated. Please report it separately.

@myfedora, @Andrey V. Henneberg: In case your bug report is related to the SELinux issue, please report it separately.


For the SIGSEGV crasher in yumex-dnf:
Can anyone please post steps to reproduce this issue? It looks like some weird race condition to me.
Comment 18 yamazakihisashi 2016-06-06 15:18:26 EDT
*** Bug 1343206 has been marked as a duplicate of this bug. ***
Comment 19 Fedora End Of Life 2016-11-24 10:57:17 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2016-12-20 14:16:28 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.